/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.knowledgebase.hook.upgrade;

import com.liferay.knowledgebase.hook.upgrade.v1_1_0.UpgradeClassName;
import com.liferay.knowledgebase.hook.upgrade.v1_1_0.UpgradeExpandoTable;
import com.liferay.knowledgebase.hook.upgrade.v1_1_0.UpgradeKBArticle;
import com.liferay.knowledgebase.hook.upgrade.v1_1_0.UpgradeKBComment;
import com.liferay.knowledgebase.hook.upgrade.v1_1_0.UpgradeKBTemplate;
import com.liferay.knowledgebase.hook.upgrade.v1_1_0.UpgradePortletPreferences;
import com.liferay.knowledgebase.hook.upgrade.v1_1_0.UpgradeResourceAction;
import com.liferay.knowledgebase.hook.upgrade.v1_1_0.UpgradeResourcePermission;
import com.liferay.portal.kernel.cache.MultiVMPoolUtil;
import com.liferay.portal.kernel.upgrade.UpgradeProcess;
import com.liferay.portal.service.ClassNameLocalServiceUtil;
import com.liferay.portal.service.ResourceActionLocalServiceUtil;

/**
 * @author Peter Shin
 */
public class UpgradeProcess_1_1_0 extends UpgradeProcess {

	@Override
	public int getThreshold() {
		return 110;
	}

	protected void clearCache() throws Exception {
		ClassNameLocalServiceUtil.checkClassNames();
		ResourceActionLocalServiceUtil.checkResourceActions();

		MultiVMPoolUtil.clear();
	}

	@Override
	protected void doUpgrade() throws Exception {
		upgrade(UpgradeClassName.class);
		upgrade(UpgradeExpandoTable.class);
		upgrade(UpgradeKBArticle.class);
		upgrade(UpgradeKBComment.class);
		upgrade(UpgradeKBTemplate.class);
		upgrade(UpgradePortletPreferences.class);
		upgrade(UpgradeResourceAction.class);
		upgrade(UpgradeResourcePermission.class);

		clearCache();
	}

}