/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.knowledgebase.hook.upgrade;

import com.liferay.knowledgebase.hook.upgrade.v1_2_0.UpgradeKBArticle;
import com.liferay.knowledgebase.hook.upgrade.v1_2_0.UpgradeKBStructure;
import com.liferay.knowledgebase.hook.upgrade.v1_2_0.UpgradeKBTemplate;
import com.liferay.portal.kernel.upgrade.UpgradeProcess;

/**
 * @author Peter Shin
 */
public class UpgradeProcess_1_2_0 extends UpgradeProcess {

	@Override
	public int getThreshold() {
		return 120;
	}

	@Override
	protected void doUpgrade() throws Exception {
		upgrade(UpgradeKBArticle.class);
		upgrade(UpgradeKBStructure.class);
		upgrade(UpgradeKBTemplate.class);
	}

}