/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.knowledgebase.hook.upgrade.v1_1_0.util;

import com.liferay.knowledgebase.model.KBArticle;
import com.liferay.knowledgebase.service.KBArticleLocalServiceUtil;
import com.liferay.portal.kernel.upgrade.util.BaseUpgradeColumnImpl;
import com.liferay.portal.kernel.upgrade.util.UpgradeColumn;
import com.liferay.portal.kernel.workflow.WorkflowConstants;

/**
 * @author Peter Shin
 */
public class KBArticleRootResourcePrimKeyUpgradeColumnImpl
	extends BaseUpgradeColumnImpl {

	public KBArticleRootResourcePrimKeyUpgradeColumnImpl(
		UpgradeColumn resourcePrimKeyColumn) {

		super("rootResourcePrimKey");

		_resourcePrimKeyColumn = resourcePrimKeyColumn;
	}

	public Object getNewValue(Object oldValue) throws Exception {
		Long resourcePrimKey = (Long)_resourcePrimKeyColumn.getOldValue();

		KBArticle kbArticle = KBArticleLocalServiceUtil.getLatestKBArticle(
			resourcePrimKey, WorkflowConstants.STATUS_ANY);

		while (!kbArticle.isRoot()) {
			kbArticle = KBArticleLocalServiceUtil.getLatestKBArticle(
				kbArticle.getParentResourcePrimKey(),
				WorkflowConstants.STATUS_ANY);
		}

		return new Long(kbArticle.getResourcePrimKey());
	}

	private UpgradeColumn _resourcePrimKeyColumn;

}