/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.knowledgebase.model.impl;

import com.liferay.knowledgebase.model.KBArticle;
import com.liferay.knowledgebase.model.KBArticleSearchDisplay;

import java.util.List;

/**
 * @author Peter Shin
 */
public class KBArticleSearchDisplayImpl implements KBArticleSearchDisplay {

	public KBArticleSearchDisplayImpl(
		List<KBArticle> results, int total, int[] curStartValues) {

		_results = results;
		_total = total;
		_curStartValues = curStartValues;
	}

	public int[] getCurStartValues() {
		return _curStartValues;
	}

	public List<KBArticle> getResults() {
		return _results;
	}

	public int getTotal() {
		return _total;
	}

	public void setCurStartValues(int[] curStartValues) {
		_curStartValues = curStartValues;
	}

	public void setResults(List<KBArticle> results) {
		_results = results;
	}

	public void setTotal(int total) {
		_total = total;
	}

	private int[] _curStartValues;
	private List<KBArticle> _results;
	private int _total;

}