<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/admin/init.jsp" %>

<%
String jspPage = ParamUtil.getString(request, "jspPage");
%>

<c:if test="<%= AdminPermission.contains(permissionChecker, scopeGroupId, ActionKeys.VIEW_KB_TEMPLATES) %>">

	<%
	List<String> names = new ArrayList<String>();
	List<String> urls = new ArrayList<String>();
	String value = null;

	if (PortletPermissionUtil.contains(permissionChecker, plid, portletDisplay.getId(), ActionKeys.VIEW)) {
		PortletURL kbArticlesURL = renderResponse.createRenderURL();

		kbArticlesURL.setParameter("jspPage", "/admin/view.jsp");

		names.add("articles");
		urls.add(kbArticlesURL.toString());
		value = names.get(names.size() - 1);
	}

	if (AdminPermission.contains(permissionChecker, scopeGroupId, ActionKeys.VIEW_KB_TEMPLATES)) {
		PortletURL kbTemplatesURL = renderResponse.createRenderURL();

		kbTemplatesURL.setParameter("jspPage", "/admin/view_templates.jsp");

		names.add("templates");
		urls.add(kbTemplatesURL.toString());
		value = jspPage.contains("template") ? names.get(names.size() - 1) : value;
	}
	%>

	<liferay-ui:tabs
		names="<%= StringUtil.merge(names) %>"
		param="topTabs"
		url0="<%= (urls.size() > 0) ? urls.get(0) : null %>"
		url1="<%= (urls.size() > 1) ? urls.get(1) : null %>"
		value="<%= value %>"
	/>
</c:if>